1.7. 在断开连接的环境中升级

在断开连接的环境中,请参阅升级 Red Hat Advanced Cluster Management for Kubernetes 的步骤和信息。

注: 此信息遵循 升级中的步骤。查看该流程,然后查看以下信息:

1.7.1. 从版本 2.5 或更高版本升级

在安装过程中,或升级 Red Hat Advanced Cluster Management for Kubernetes to release 2.5 或更高版本,您遇到与 Red Hat Advanced Cluster Management for Kubernetes operator 和 multicluster engine for Kubernetes operator 间的重要信息。请参阅在断开连接的环境中安装。升级时需要类似注意事项。

与在连接的网络环境中升级一样,升级过程通过更改 Red Hat Advanced Cluster Management for Kubernetes 的 Operator Lifecycle Manager 订阅中的升级频道来启动到新版本升级频道。

但是,由于断开连接的环境特殊特性,您需要在更改更新频道以启动升级过程前解决以下镜像要求:

  1. 确保在镜像目录中更新所需的软件包。

    在安装过程中,或在以前的更新过程中,您创建了一个镜像目录和一个 registry,其中包含在断开连接的环境中安装 Red Hat Advanced Cluster Management for Kubernetes 的 operator 软件包和镜像。要升级,您需要更新镜像目录和 registry 来获取 Operator 软件包的更新版本。

    与安装操作类似,您需要确保您的镜像目录和 registry 在要包含或更新的 Operator 列表中包含以下 Operator 软件包:

    • advanced-cluster-manager
    • multicluster-engine
  2. 验证 MutliclusterHub 资源实例。

    在安装或升级过程中,您创建了 MulticlusterHub 资源的实例,并因为断开连接的环境,您要为该资源添加了一个 mce-subscription-spec 注解。

    如果您更新您的镜像目录和 registry 的步骤会导致 OpenShift Container Platform 集群上可用的名为 CatalogSource 的 CatalogSource 与之前使用的名称相同,则不需要更新 MulticlusterHub 资源来更新 mce-subscriptino-spec 注解。

    但是,如果更新您的镜像目录和 registry 的步骤会导致新创建的名为 CatalogSource,请更新 MulticlusterHub 资源中的 mce-subscription-spec 注解以反映新的目录源名称。

1.7.2. 从版本 2.4 升级到

Red Hat Advanced Cluster Management for Kubernetes 版本 2.5 及之后的版本使用相关的 multicluster engine for Kubernetes Operator 功能来提供之前作为 Red Hat Advanced Cluster Management for Kubernetes 的一部分所提供的基本服务。作为 hub 集群安装和升级的一部分,Red Hat Advanced Cluster Management for Kubernetes operator 的发行版本 2.5 及更新的版本会自动安装和管理所需的 multicluster engine for Kubernetes operator 和 MulticlusterEngine 资源实例。

在连接的网络环境中,集群管理员可以在没有特殊镜像目录和目录源的情况下安装或升级 Red Hat Advanced Cluster Management for Kubernetes。但是,因为在断开连接的环境中安装任何 Operator Lifecycle Manager Operator 涉及使用特殊镜像目录和目录源(如前面几节所述),所以在安装之外需要一些额外的步骤。

  1. 更新用于填充镜像目录的步骤

    如果安装 Red Hat Advanced Cluster Management for Kubernetes 版本 2.4 及更新的版本,镜像过程会创建 Red Hat Operator 目录的完整副本,则不需要特殊的镜像更新。刷新目录以为新 Operator 版本获取更新的内容。

    但是,如果您的步骤填充了 filtered 的目录,您需要更新您的镜像流程,以确保在镜像目录中包括 multcluster-engine Operator 软件包(除了 advanced-cluster-management 软件包外)。

    请参阅 镜像目录部分中的 Include 所需的 Operator 软件包,它提供了填充镜像目录时要使用的选项示例。更新您流程中使用的 operator-package 列表,以匹配这些新要求。

  2. 更新 MutliclusterHub 资源实例。

    如在 断开连接的网络环境 主题中所述,当在断开连接的环境中安装或升级 hub 集群时,您需要一个 MulticlusterHub 资源上的新注解。

    最佳实践: 更新 MulticlusterHub 资源实例,在将 Operator Lifecycle Manager 订阅中的 Operator Lifecycle Manager 更新频道改为 advanced-cluster-management operator 软件包前包括所需的注解,从版本 2.4 开始升级。在这个版本中,升级可以在没有延迟的情况下进行。

    使用 oc edit 命令更新 Multiclusterub 资源,以添加 mce-subscription-spec 注解,如下例所示:

    metadata:
       annotations:
          installer.open-cluster-management.io/mce-subscription-spec: '{"source": "<my-mirror-catalog-source>"}'

    将示例中的 <my-mirror-catalog-source> 替换为位于 mirror 目录的 openshift-marketplace 命名空间中的 CatalogSource 资源的名称。

重要信息: 如果您在添加注解前就开始了从版本 2.4 到版本 2.5 的升级,则升级会开始,但当 operator 尝试在后台将订阅安装到 multicluster-engine 时,升级过程会停滞。MulticlusterHub 资源的状态在此期间继续显示 upgrading

要解决这个问题,请运行 oc edit 来添加 mce-subscription-spec 注解,如前面所示。